// PreviewSizeDlg.h 
//

#include "StCamera.h"
#include "SetSizeDlg.h"

#if !defined(AFX_PREVIEWSIZEDLG_H__9BA5380E_0C52_421B_A8DF_0F14AD8FD999__INCLUDED_)
#define AFX_PREVIEWSIZEDLG_H__9BA5380E_0C52_421B_A8DF_0F14AD8FD999__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPreviewSizeDlg

class CPreviewSizeDlg : public CDialog
{
public:
	CStCamera	*g_pStCamera;
private:
	CSetSizeDlg	*m_pSetSizeDlg;

//
public:
	CPreviewSizeDlg(CWnd* pParent = NULL);	//

//
	//{{AFX_DATA(CPreviewSizeDlg)
	enum { IDD = IDD_PREVIEWSIZE_DIALOG };
		//
	//}}AFX_DATA

	//
	//{{AFX_VIRTUAL(CPreviewSizeDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	
	//}}AFX_VIRTUAL

// 
protected:
	HICON m_hIcon;

	// 
	//{{AFX_MSG(CPreviewSizeDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSetSize();
	//}}AFX_MSG
	afx_msg void OnWindowStyle(UINT nID);
	afx_msg LRESULT OnDialogDestroyed(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
//

#endif // !defined(AFX_PREVIEWSIZEDLG_H__9BA5380E_0C52_421B_A8DF_0F14AD8FD999__INCLUDED_)
